import request from '/@/utils/request';

export const getAttachTableList = () => {
	return request({
		url: '/attach/get_attach_table_list',
		method: 'POST',
	});
};

export const queryAttachTableRecords = (params: any) => {
	return request({
		url: '/attach/query_attach_table_records',
		method: 'POST',
		data: params,
	});
};

/**
 * @description 获取附件指标定义列表
 **/
export const getAttachMetricListByPost = () =>
	request({
		url: `/attach/get_attach_metric_list`,
		method: 'post',
		params: {},
		data: {},
	});
/**
 * @description 查询附件指标值
 * @param {FormData} params
 **/
export const queryAttachMetricValuesByPost = (params) =>
	request({
		url: `/attach/query_attach_metric_values`,
		method: 'post',
		params: {},
		data: params,
	});
/**
 * @description 查询附件指标名称
 * @param {FormData} params
 **/
export const queryAttachMetricNamesByPost = (params) =>
	request({
		url: `/attach/query_attach_metric_names`,
		method: 'post',
		params: {},
		data: params,
	});
